import { defineStore } from 'pinia'
import { steeringAuthInit } from '@/stores/auth'
import { APIListUnpaginated, APIRetrieve, createExtendableAPI, createSteeringURL } from '@/api'
import { Host } from '@/types'

export const useHostStore = defineStore('hosts', () => {
  const endpoint = createSteeringURL.prefix('hosts')
  const { base, ...api } = createExtendableAPI<Host>(endpoint, steeringAuthInit)
  return {
    ...base,
    ...APIListUnpaginated(api),
    ...APIRetrieve(api),
  }
})
